Part Cône

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Cone and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Page précédente : Part Sphere.svg Sphère
Page suivante : Tore Part Torus.svg Arrow-right.svg

Part Cone.svg Part Cône

Emplacement du menu
Part → Primitives → Cône
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives

Description

La commande Part Cone.svg Part Cône crée un solide conique paramétrique. Dans le système de coordonnées défini par sa propriété DonnéesPlacement, la face inférieure du cône se trouve dans le plan XY avec son centre à l'origine.

Le Part Cône par défaut est tronqué. On peut le transformer en un cône complet, non tronqué, en donnant la valeur zéro à sa propriété DonnéesRadius1 ou DonnéesRadius2. Il peut être transformé en un segment de cône en modifiant sa propriété DonnéesAngle.

Part Cone Example.png

Utilisation

  1. Il existe plusieurs façons de lancer la commande :
    • Appuyez sur le bouton Part Cone.svg Cône.
    • Sélectionnez l'option Part → Primitives → Part Cone.svg Cône dans le menu.
  2. Le cône est créé.
  3. Vous pouvez éventuellement modifier les dimensions et DonnéesPlacement du cône en effectuant l'une des opérations suivantes :

Exemple

Part Cône à partir de l'exemple du script

Un objet Part Cône créé avec l'exemple du script ci-dessous.

Remarques

  • Un Part Cône peut également être créé avec la commande Part Primitives.svg Part Primitives. Avec cette commande, vous pouvez spécifier les dimensions et le placement au moment de la création.

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Part Cône est dérivé d'un Part Feature et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Attachment

L'objet a les mêmes propriétés d'attachement qu'un Part Part2DObject.

Cone

  • DonnéesRadius1 (Length) : Le rayon de la face inférieure du cône. Peut être 0mm si DonnéesRadius2 est supérieur à 0mm. La valeur par défaut est 2mm.
  • DonnéesRadius2 (Length) : Le rayon de la face supérieure du cône. Peut être 0mm si DonnéesRadius1 est supérieur à 0mm. La valeur par défaut est 4mm.
  • DonnéesHeight (Length) : La hauteur du cône. La valeur par défaut est 10mm.
  • DonnéesAngle (Angle) : L'angle de l'arc de cercle qui définit la face supérieure et inférieure du cône. Plage valide : 0° < value <= 360°. La valeur par défaut est 360°. Si elle est inférieure à 360°, le solide résultant sera un segment de cône.

Script

Voir aussi: Autogenerated API documentation, Part Ecrire un script et Débuter avec les scripts FreeCAD.

Un Part Cône est créé avec la méthode addObject() du document :

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • "myCone" est le nom de l'objet.
  • La fonction restitue l'objet nouvellement créé.

Exemple :

import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()


Arrow-left.svg Page précédente : Part Sphere.svg Sphère
Page suivante : Tore Part Torus.svg Arrow-right.svg